Page MenuHomePhabricator

create `scap branch` command (the successor to make-wmf-branch)
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/mediawiki-config : masterscap branch plugin

Event Timeline

mmodell created this task.Jul 20 2016, 4:37 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptJul 20 2016, 4:37 PM
mmodell renamed this task from create merge-wmf-branch the successor to make-wmf-branch to create `scap swat` command (the successor to make-wmf-branch).Aug 10 2016, 4:44 PM
bd808 added a subscriber: bd808.Aug 12 2016, 8:16 PM

nitpick, but wouldn't scap branch or scap release be a better command name? We use swat to mean something completely different than initializing a new version for rolling deployment.

@bd808: I kinda conflated two things in this one ticket. This is the result of discussion that occurred in a recent Release-Engineering-Team (Long-Lived-Branches) meeting between @demon, @thcipriani and myself.

My understanding as of now is that we decided to build two different utilities as scap extensions. We could call them scap merge and a scap swat, the former will merge all the changes for the weekly train, the latter will merge just one patch for the daily swat. They both need to do some slightly complex interaction with git & gerrit.

The thing we realized is that the two commands should be able to share share a lot of the same code. So we concluded that the clearest path forward would be to start by building the easier one (scap swat) and then use that as a basis to build the replacement make-wmf-branch. I should have created two tasks for them but instead I did the lazy thing and mixed them into this one task. I will correct that.

mmodell renamed this task from create `scap swat` command (the successor to make-wmf-branch) to create `scap merge` command (the successor to make-wmf-branch).Aug 12 2016, 10:48 PM
greg awarded a token.Aug 12 2016, 11:11 PM
mmodell renamed this task from create `scap merge` command (the successor to make-wmf-branch) to create `scap branch` command (the successor to make-wmf-branch).Dec 20 2016, 8:47 PM

Change 328399 had a related patch set uploaded (by 20after4):
scap branch plugin

https://gerrit.wikimedia.org/r/328399

Change 328399 merged by jenkins-bot:
scap branch plugin

https://gerrit.wikimedia.org/r/328399

mmodell closed this task as Resolved.Dec 21 2016, 3:20 AM